package com.ytpm.middle.service;

import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;
import com.ytpm.middle.param.ConfirmReceiveParam;
import com.ytpm.middle.param.PaymentItemParam;
import com.ytpm.middle.param.PaymentListParam;
import com.ytpm.middle.view.FinancePaymentVO;
import com.ytpm.middle.view.PaymentItemVO;

public interface FinanceService {
    /**
     * 查询缴费项目列表
     */
    ResultTable<PaymentItemVO> queryList(PaymentItemParam param);

    /**
     * 新增缴费项目
     */
    Result<String> addItem(PaymentItemParam param);
    /**
     * 修改缴费项目
     */
    Result<String> updateItem(PaymentItemParam param);
    /**
     * 删除缴费项目
     */
    Result<String> delItem(String itemId, String userId);

    /**
     * 缴费单列表
     */
    ResultTable<FinancePaymentVO> paymentList(PaymentListParam param);

    /**
     * 缴费单明细
     */
    Result<FinancePaymentVO> paymentDetail(String paymentId);

    /**
     * 确认收款
     */
    Result<String> confirmReceive(ConfirmReceiveParam param);
}
